Zercurity data services
  • Summary
  • Applications (7)
  • Packages (0)
  • Vulnerabilities (18)

linux-tools-4.10.0-20

Hashes
Linux kernel version specific tools for version 4.10.0-20 This package provides the architecture dependant parts for kernel version locked tools (such as perf and x86_energy_perf_policy) for version 4.10.0-20 on 64 bit x86. You probably want to install linux-tools-4.10.0-20-<flavour>.
  • SHA256: c4137324682cd76dc56c2422c83d909ace48b342adca472e04956ad040c40df7
  • SHA1: c61d98ec952cfba0eb4e8465419a507f049072f6
  • MD5: 0ca1fabe667b9660ab59cfeedef1822c
Information
  • Version: 4.10.0-20.22
  • Filename: linux-tools-4.10.0-20_4.10.0-20.22_amd64.deb
  • Size: 4701
  • Type: DEB
  • Source: linux
  • Architecture: AMD64
  • Owner: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
  • Dependencies: binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common

Applications

NameTypeArchSizeRisk
libcpupower.so.4.10.0-20
/usr/lib/libcpupower.so.4.10.0-20
227040
usbip
/usr/lib/linux-tools-4.10.0-20/usbip
675440
turbostat
/usr/lib/linux-tools-4.10.0-20/turbostat
769040
cpupower
/usr/lib/linux-tools-4.10.0-20/cpupower
752240
perf
/usr/lib/linux-tools-4.10.0-20/perf
42873840
usbipd
/usr/lib/linux-tools-4.10.0-20/usbipd
554400
x86_energy_perf_policy
/usr/lib/linux-tools-4.10.0-20/x86_energy_perf_policy
101200

Vulnerabilities

NameRiskSourceFixed
CVE-2017-718778USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-747770USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-761655USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-729478USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-259665USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-726155USN
linux-cloud-tools-common
4.10.0-21.23
CVE-2017-259665USN
linux-doc
4.10.0-21.23
CVE-2017-729478USN
linux-doc
4.10.0-21.23
CVE-2017-726155USN
linux-doc
4.10.0-21.23
CVE-2017-761655USN
linux-doc
4.10.0-21.23
CVE-2017-747770USN
linux-doc
4.10.0-21.23
CVE-2017-718778USN
linux-doc
4.10.0-21.23
CVE-2017-729478USN
linux-libc-dev
4.10.0-21.23
CVE-2017-259665USN
linux-libc-dev
4.10.0-21.23
CVE-2017-747770USN
linux-libc-dev
4.10.0-21.23
CVE-2017-726155USN
linux-libc-dev
4.10.0-21.23
CVE-2017-718778USN
linux-libc-dev
4.10.0-21.23
CVE-2017-761655USN
linux-libc-dev
4.10.0-21.23

Raw Object

{
  "sha256": "c4137324682cd76dc56c2422c83d909ace48b342adca472e04956ad040c40df7",
  "sha1": "c61d98ec952cfba0eb4e8465419a507f049072f6",
  "md5": "0ca1fabe667b9660ab59cfeedef1822c",
  "type": "DEB",
  "arch": "AMD64",
  "name": "linux-tools-4.10.0-20",
  "filename": "linux-tools-4.10.0-20_4.10.0-20.22_amd64.deb",
  "size": 4701,
  "description": "Linux kernel version specific tools for version 4.10.0-20\nThis package provides the architecture dependant parts for kernel\nversion locked tools (such as perf and x86_energy_perf_policy) for\nversion 4.10.0-20 on\n64 bit x86.\nYou probably want to install linux-tools-4.10.0-20-<flavour>.",
  "url": null,
  "version": "4.10.0-20.22",
  "source": "linux",
  "owner": "Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>",
  "dependencies": "binutils (>= 2.28), binutils (<< 2.29), libaudit1 (>= 1:2.2.1), libc6 (>= 2.14), libdw1 (>= 0.157), libelf1 (>= 0.144), liblzma5 (>= 5.1.1alpha+20120614), libpci3 (>= 1:3.3.1-1), libslang2 (>= 2.2.4), libudev1 (>= 183), libunwind8, zlib1g (>= 1:1.1.4), linux-tools-common",
  "applications": [
    {
      "path": "/usr/lib/libcpupower.so.4.10.0-20",
      "sha256": "774bff609d7719b1941d1121e36eb7811ecfa6c039b0df2bab5d4dca7515edb7",
      "sha1": "22f0a5ce729184b20e6b0af99dc11bfa4a511a04",
      "md5": "ce7eb4e5bf897ff6b00bd7612d893ffd",
      "name": "libcpupower.so.4.10.0-20",
      "size": 22704,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/usbip",
      "sha256": "6c56669fc058a5f1e80a4c8ec0ccc6640824a78de26510f5a68258d353daf379",
      "sha1": "0ba3d28d3b210fd870bc2fa8c6d98af52ce675f5",
      "md5": "bed8faaf1ebbeb2ca180d8e3b94c1a46",
      "name": "usbip",
      "size": 67544,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/turbostat",
      "sha256": "c2d2611d054949debb51fc8c83e5295129da087abc89d07f7b6fbaa252494013",
      "sha1": "e1e83e6cbf767ef42ec264afc6113ee6e1b85a33",
      "md5": "66bfcec4def2812d64dd741579a05216",
      "name": "turbostat",
      "size": 76904,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/cpupower",
      "sha256": "d357c9014a93de2e74f77f2350657d7fcea868f5b6161e590572e0c5596d20de",
      "sha1": "d4d91d4e76e5caa5b4b2ca3389d06a61a8ca7e7c",
      "md5": "dd6aa6990bacbbf0570acb0ca13a5012",
      "name": "cpupower",
      "size": 75224,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/perf",
      "sha256": "dd7eb426635aaaf0d6456fe97f5a5fb1d3236c1a32f274b6b187119cd3685a93",
      "sha1": "8909f1b58f6f882bc503b4f439678ac484caf810",
      "md5": "0aeb8c16ed6c1ef7d42410b1c1f8eeb3",
      "name": "perf",
      "size": 4287384,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/usbipd",
      "sha256": "03b15dcb0e7f29489d62818605080eee0146c451fd0d70ad5586bbcb8ec01bf4",
      "sha1": "28849e06a17bc96192f406cbc9497ce01653d879",
      "md5": "5218f63d145e8b935430fdb5abcd9525",
      "name": "usbipd",
      "size": 55440,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/lib/linux-tools-4.10.0-20/x86_energy_perf_policy",
      "sha256": "a1fde5179508a97ea6c72561f62cb4cb79256e246a713e669a2272ecd2c7f0ab",
      "sha1": "1c4992116acdbf8abbfff29880a9c785d12e65df",
      "md5": "7001c77386c24a5fcacab770a9b1c854",
      "name": "x86_energy_perf_policy",
      "size": 10120,
      "description": null,
      "package": 2965764,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-07-17T03:12:43+00:00",
      "updated_at": "2021-07-17T03:12:43+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2017-7187",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T02:58:35+00:00",
      "updated_at": "2021-10-15T02:58:35+00:00"
    },
    {
      "name": "CVE-2017-7477",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T03:03:26+00:00",
      "updated_at": "2021-10-15T03:03:26+00:00"
    },
    {
      "name": "CVE-2017-7616",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T03:15:46+00:00",
      "updated_at": "2021-10-15T03:15:46+00:00"
    },
    {
      "name": "CVE-2017-7294",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T03:20:39+00:00",
      "updated_at": "2021-10-15T03:20:39+00:00"
    },
    {
      "name": "CVE-2017-2596",
      "risk": 65,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T03:46:12+00:00",
      "updated_at": "2021-10-15T03:46:12+00:00"
    },
    {
      "name": "CVE-2017-7261",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "8ffebe371a487d33e93af8b778ed3c3a7995a5c80c9b0e4564b07e18eb754827",
        "name": "linux-cloud-tools-common",
        "version": "4.10.0-21.23",
        "filename": "linux-cloud-tools-common_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-10-15T03:49:54+00:00",
      "updated_at": "2021-10-15T03:49:54+00:00"
    },
    {
      "name": "CVE-2017-2596",
      "risk": 65,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T07:50:27+00:00",
      "updated_at": "2021-07-17T07:50:27+00:00"
    },
    {
      "name": "CVE-2017-7294",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T09:16:49+00:00",
      "updated_at": "2021-07-17T09:16:49+00:00"
    },
    {
      "name": "CVE-2017-7261",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T09:27:40+00:00",
      "updated_at": "2021-07-17T09:27:40+00:00"
    },
    {
      "name": "CVE-2017-7616",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T10:29:47+00:00",
      "updated_at": "2021-07-17T10:29:47+00:00"
    },
    {
      "name": "CVE-2017-7477",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T10:41:06+00:00",
      "updated_at": "2021-07-17T10:41:06+00:00"
    },
    {
      "name": "CVE-2017-7187",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "a6d32901c283e34f71b90b814fba3cf88e310a9449de8b60ff1e77dc7cd451ed",
        "name": "linux-doc",
        "version": "4.10.0-21.23",
        "filename": "linux-doc_4.10.0-21.23_all.deb"
      },
      "created_at": "2021-07-17T12:45:21+00:00",
      "updated_at": "2021-07-17T12:45:21+00:00"
    },
    {
      "name": "CVE-2017-7294",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-28T13:59:40+00:00",
      "updated_at": "2021-10-28T13:59:40+00:00"
    },
    {
      "name": "CVE-2017-2596",
      "risk": 65,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-29T00:55:49+00:00",
      "updated_at": "2021-10-29T00:55:49+00:00"
    },
    {
      "name": "CVE-2017-7477",
      "risk": 70,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-29T11:07:50+00:00",
      "updated_at": "2021-10-29T11:07:50+00:00"
    },
    {
      "name": "CVE-2017-7261",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-29T22:52:07+00:00",
      "updated_at": "2021-10-29T22:52:07+00:00"
    },
    {
      "name": "CVE-2017-7187",
      "risk": 78,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-30T01:05:57+00:00",
      "updated_at": "2021-10-30T01:05:57+00:00"
    },
    {
      "name": "CVE-2017-7616",
      "risk": 55,
      "source": "USN",
      "sid": null,
      "fixed": {
        "sha256": "aa484726633dfd6ed29f7875514c2d466d6552a8f017bbc04c6205a2019045ad",
        "name": "linux-libc-dev",
        "version": "4.10.0-21.23",
        "filename": "linux-libc-dev_4.10.0-21.23_i386.deb"
      },
      "created_at": "2021-10-30T06:33:11+00:00",
      "updated_at": "2021-10-30T06:33:11+00:00"
    }
  ],
  "risk": 78,
  "vulnerable": 78,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2017-04-20T12:25:12+00:00",
  "updated_at": "2021-07-17T03:12:42+00:00",
  "deleted_at": null
}